All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Interface StaticRowInfoInterface

All Known Subinterfaces:
  RowInfoInterface

    public interface StaticRowInfoInterface

Defines an interface for accessing additional information associated with a table's rows. This will usually be implemented in tandem with the primary interface to tables, StaticTableInterface.

See Also:
  `StaticTableInterface`, `StaticRowLabelInterface`, `StaticColumnInfoInterface`

Method Summary
`abstract java.lang.Object` | `getRowInfo(int index, java.lang.String rowInfoName)` Returns the named information for a row.
`abstract java.lang.String[]` | `getRowInfoNames()` Returns an array of the named information that can be returned for this row.

Method Detail

### getRowInfoNames

    java.lang.String[] getRowInfoNames()
                                       throws com.sas.table.TableException

  Returns an array of the named information that can be returned for this row. The returned array should be in priority order.

  Returns:
    The prioritized array of information names.
  Throws:
    `TableException` - Provides a catch-all for all non-RuntimeExceptions.
    `java.lang.IndexOutOfBoundsException` - Thrown if index is negative, zero, or greater than the number of labels.

### getRowInfo

    java.lang.Object getRowInfo(int index,
                                java.lang.String rowInfoName)
                                throws com.sas.table.TableException

  Returns the named information for a row. The row is identified by the given index.

  Parameters:
    `index` - A one-based index that identifies the row.
    `rowInfoName` - The name of the information to return for the row.
  Returns:
    The specified row's information.
  Throws:
    `TableException` - Provides a catch-all for all non-RuntimeExceptions.
    `java.lang.IndexOutOfBoundsException` - Thrown if index is negative, zero, or greater than the number of labels.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.